petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDASetBoundaryType

Sets the type of ghost nodes on domain boundaries.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetBoundaryType(DM da,DMBoundaryType bx,DMBoundaryType by,DMBoundaryType bz)

Not collective

### Input Parameter

| da | - The DMDA
| bx,by,bz | - One of DM_BOUNDARY_NONE, DM_BOUNDARY_GHOSTED, DM_BOUNDARY_PERIODIC

### Keywords

distributed array, periodicity

### See Also

DMDACreate(), DMDestroy(), DMDA, DMBoundaryType

### Level

intermediate

### Location

src/dm/impls/da/da.c

### Examples

src/dm/examples/tutorials/ex19.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages